package com.zehong.system.service;

import com.zehong.system.domain.TDevInspect;
import com.zehong.system.domain.TDevLifeCycle;

import java.util.List;
import java.util.Map;

/**
 * 【请填写功能名称】Service接口
 * 
 * @author zehong
 * @date 2023-12-12
 */
public interface ITDevLifeCycleService 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    public TDevLifeCycle selectTDevLifeCycleById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tDevLifeCycle 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<TDevLifeCycle> selectTDevLifeCycleList(TDevLifeCycle tDevLifeCycle);

    public List<TDevLifeCycle> selectTDevLifeCycleListByParam(TDevLifeCycle tDevLifeCycle);

    /**临检设备*/
    List<TDevLifeCycle> closeInspectDevice (TDevLifeCycle tDevLifeCycle);
    /**
     * 新增【请填写功能名称】
     * 
     * @param tDevLifeCycle 【请填写功能名称】
     * @return 结果
     */
    public int insertTDevLifeCycle(TDevLifeCycle tDevLifeCycle);

    /**
     * 修改【请填写功能名称】
     * 
     * @param tDevLifeCycle 【请填写功能名称】
     * @return 结果
     */
    public int updateTDevLifeCycle(TDevLifeCycle tDevLifeCycle);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】ID
     * @return 结果
     */
    public int deleteTDevLifeCycleByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    public int deleteTDevLifeCycleById(Long id);

    /**
     * 设备类型统计
     * @return
     */
    List<Map<String,Object>> devLifeStatistic();

    /**
     * 批量新增安检单
     * @return
     */
    int batchAddInspect(TDevInspect tDevInspect);
}
